<script setup>
import {RouterLink} from "vue-router";

</script>

<template>
  <v-layout>
    <v-navigation-drawer expand-on-hover rail class="drawer">
      <v-list>
        <v-list-item prepend-avatar="https://www.creativefabrica.com/wp-content/uploads/2019/12/16/Black-thin-line-pen-icon-Graphics-1-580x386.jpg" title="DO-ly" subtitle="Get busy today!"></v-list-item>
      </v-list>

      <v-divider></v-divider>

      <v-list density="compact" nav>
        <v-list-item to="/" class="nav-link">
          <template v-slot:prepend>
            <img src="../../Pictures/Home.png" class="tiny-image" />
          </template>
          <span class="nav-text">Home</span>
        </v-list-item>
        <v-list-item to="/about" class="nav-link">
          <template v-slot:prepend>
            <img src="../../Pictures/About.png" class="tiny-image" />
          </template>
          <span class="nav-text">About</span>
        </v-list-item>
        <v-list-item to="/login" class="nav-link">
          <template v-slot:prepend>
            <img src="../../Pictures/login.png" class="tiny-image" />
          </template>
          <span class="nav-text">Login</span>
        </v-list-item>
      </v-list>
    </v-navigation-drawer>

    <v-main style="height: 250px"></v-main>
  </v-layout>
</template>

<style scoped>
.drawer .v-list-item {
  position: relative;
}

.tiny-image {
  width: 24px;
  height: 24px;
  position: absolute;
  left: 8px;
  top: 50%;
  transform: translateY(-50%);
  visibility: hidden;
}


.drawer[style*="width: 56px"] .tiny-image {
  visibility: visible; /* Show only when drawer is collapsed */
}


 .drawer .v-list-item .nav-text {
   transition: opacity 0.3s ease;
   opacity: 1; /* Text is fully visible by default */
 }

.drawer[style*="width: 56px"] .v-list-item .nav-text {
  opacity: 0; /* Text becomes transparent when drawer is collapsed */
}

.nav-icon {
  width: 24px;
  height: 24px;
  /* Additional styling as needed */
}

.nav-item {
  position: relative;
}
</style>
